# API Check commit result

### Specification <a href="#ac-ta" id="ac-ta"></a>

* **URL:** `<API_GATEWAY>/api/partner/query-trans`
* **Method:** **POST**
* **Description:** API allows partners to query the ticket/room issuance result.
* **Security Requirements:** Data must be encrypted and include an electronic signature.

### Request <a href="#request" id="request"></a>

<details>

<summary>Model</summary>

* **key** (string, required): Decryption key for the data (already encrypted). Refer to the section **"Data Encryption and Electronic Signature Verification"** for details on how it is generated.
* **data** (string, required): Encrypted data including an electronic signature. Refer to the section **"Data Encryption and Electronic Signature Verification"** for details on how it is generated.
* *Signature data schema:*

  ```
  <access_code>|<booking_number>
  ```

  *Original data schema:*

  ```
  <access_code>|<booking_number>|<signature>
  ```

  * access\_code (String, required)

    **Access code** provided by Gotadi to the Partner.
  * bookingNumber (String, required)

    **Reference code** used for the booking.đến booking

</details>

#### Example

```json
{
"data": "...",
"key": "..."
}
```

### Response <a href="#response" id="response"></a>

<details>

<summary>Model</summary>

* **key** (String, required): Decryption key for the data (already encrypted). Refer to the section **"Data Encryption and Electronic Signature Verification"** for decryption instructions.
* **data** (String, required): Encrypted data including an electronic signature. Refer to the section **"Data Encryption and Electronic Signature Verification"** for decryption instructions.

  *Signature data schema:*

  ```
  <access_code>|<booking_number>|<error_code>|<product_type>|<properties>|<return_url>|<total_amount>
  ```

  *Original data schema:*

  ```
  <access_code>|<booking_number>|<error_code>|<product_type>|<properties>|<return_url>|<signature>|<total_amount>
  ```

  * **access\_code** (String, required): Access code provided by Gotadi to the Partner.
  * **booking\_number** (String, required): Unique reference code for the booking.
  * **error\_code** (String, required): Error code.
  * **product\_type** (String, optional): Product type, with values **AIR** or **HOTEL**, corresponding to the purchased product type.
  * **properties** (String, optional): Additional information returned to the partner in JSON string format.
  * **return\_url** (String, optional): Gotadi’s transaction result page, used if the partner does not build their own final result page.
  * **total\_amount** (Double, required): Total amount to be paid.

</details>

#### Example

```json
{
"data": "...",
"key": "..."
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.gotadi.com/english/b2b2c-partner/webview-method/api-check-commit-result.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
